Subject: Re: Getting a commit sha1 from fast-import in a remote-helper

From: Jonathan Nieder <[email-masked]>
Date: Tue, 18 Nov 2014 18:21:22 -0800

Mike Hommey wrote:

> So, in the end, I was able to do everything with what's currently
> provided by git fast-import, but one thing would probably make life
> easier for me: being able to initialize a commit tree from a commit
> that's not one of the direct parents.

IIRC then 'M 040000' wants a tree object, not a commit object, so
you'd have to do

	ls <commit> ""
	M 040000 <tree> ""